News items tagged with "patch"

Patch #1 Released for V2.4.0

November 4, 2016 Tags: patch, release, bugs

This patch fixes several issues in the v2.4.0 release and addresses a number of security vulnerabilities found in all previous versions of Exponent CMS v2.x. We strongly encourage all Exponent installations be upgraded to v2.4.0 with this patch as soon as practical! Patch #1 to v2.4.0 is found at http://sourceforge.net/projects/exponentcms/files/exponent-2.4.0-patch-1.zip/download (read more)

Patch #1 Released for V2.3.9

September 13, 2016 Tags: patch, release, bugs

This patch fixes several issues in the v2.3.9 release. It also provides several tweaks and new features including a 'fill screen' feature for the elFinder file manager, though the main focus is providing several security fixes.  Patch #1 to v2.3.9 is found at http://sourceforge.net/projects/exponentcms/files/exponent-2.3.9-patch-1.zip/download (read more)

Updated Patches released for v2.1.4 and v2.2.3 Again

September 13, 2016 Tags: patch, release, bugs

Though they are both extremely old versions, they were the release before a major version change and are/may still be in use. Please bear in mind we strongly recommend your installations be updated to a much newer version which contains many more fixes and new features. Having said that, these patches (v2.1.4patch11 and v2.2.3patch14) fix security vulnerabilities reported by Manuel Garcia Cardenas and PKAV TEAM which could allow possible SQL injections. (read more)

Security Vulnerability - All Exponent Versions - September 2016

September 12, 2016 Tags: patch, security

There is a security vulnerability in Exponent 2.x found on September 12, 2016 and reported by Manuel Garcia Cardenas which could allow a possible SQL injection. Although the server and site setup to allow such an attack (in the real world) is very rare, it is none-the-less a vulnerability.  It has been present in all versions of Exponent (2.x). The fix is: (read more)

Updated Patches released for v2.1.4 and v2.2.3

August 28, 2016 Tags: patch, release, bugs

Though they are both extremely old versions, they were the release before a major version change and are/may still be in use. Please bear in mind we strongly recommend your installations be updated to a much newer version which contains many more fixes and new features. Having said that, these patches (v2.1.4patch9 and v2.2.3patch12) fix a security vulnerability reported by Balisong which might allow uploaded scripts to be executed. (read more)

Security Vulnerability - All Exponent Versions - June 2016

June 3, 2016 Tags: patch, security

There are two security vulnerabilities in Exponent 2.x found on June 1, 2016.  The first has been present in all versions of Exponent (2.x), and the second is found in all versions since and including v2.1.0.  The fix(es) is: (read more)

Patch #6 Released for V2.3.8

June 24, 2016 Tags: patch, release, bugs

This patch is released to address a fix for the traditional file manager file uploaded which has been broken on Bootstrap based themes. It also addresses some specific issues in the v2.3.8, v2.3.8 Patch #1, v2.3.8patch #2, v2.3.8 Patch #3, v2.3.8 Patch #4, and v2.3.8 Patch #5 releases. (read more)

Patch #5 Released for V2.3.8

June 17, 2016 Tags: patch, release, bugs

Hot on the heals of its predecessor, this patch fixes some specific issues in the v2.3.8, v2.3.8 Patch #1, v2.3.8patch #2, v2.3.8 Patch #3, and v2.3.8 Patch #4 releases. Specifically: (read more)

Patch #4 Released for V2.3.8

June 14, 2016 Tags: patch, release, bugs

This patch fixes some issues in the v2.3.8, v2.3.8 Patch #1, v2.3.8patch #2, and v2.3.8 Patch #3 releases, especially with 'minification'. It also provides several tweaks and new features. In particular this release adds a new dynamic/drag-n-drop form designer to Bootstrap 3 themes. Patch #4 to v2.3.8 is found at http://sourceforge.net/projects/exponentcms/files/exponent-2.3.8-patch-4.zip/download (read more)

Security Vulnerability - All Exponent Versions - August 2016

August 28, 2016 Tags: patch, security

There is a security vulnerability in Exponent 2.x found on August 26, 2016 reported by Balisong which could allow uploaded scripts to be executed.  It has been present in all versions of Exponent (2.x). The fix is: (read more)